/*
 *  Copyright (C) 2002  Ricardo Fernndez Pascual
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __bookmarks_export_druid_h
#define __bookmarks_export_druid_h

#include <glib-object.h>
#include <bookmarks.h>

/* object forward declarations */

typedef struct _GbExportDruid GbExportDruid;
typedef struct _GbExportDruidClass GbExportDruidClass;
typedef struct _GbExportDruidPrivate GbExportDruidPrivate;

/**
 * Druid object
 */

#define GB_TYPE_EXPORT_DRUID			(gb_export_druid_get_type())
#define GB_EXPORT_DRUID(object)			(G_TYPE_CHECK_INSTANCE_CAST((object), GB_TYPE_EXPORT_DRUID,\
						 GbExportDruid))
#define GB_EXPORT_DRUID_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST((klass), GB_TYPE_EXPORT_DRUID,\
						 GbExportDruidClass))
#define GB_IS_EXPORT_DRUID(object)		(G_TYPE_CHECK_INSTANCE_TYPE((object), GB_TYPE_EXPORT_DRUID))
#define GB_IS_EXPORT_DRUID_CLASS(klass)		(G_TYPE_CHECK_CLASS_TYPE((klass), GB_TYPE_EXPORT_DRUID))
#define GB_EXPORT_DRUID_GET_CLASS(obj)		(G_TYPE_INSTANCE_GET_CLASS((obj), GB_TYPE_EXPORT_DRUID,\
						 GbExportDruidClass))

struct _GbExportDruidClass 
{
	GObjectClass parent_class;
	
	/* virtual and protected */
	const gchar *	(*get_string)		(GbExportDruid *d, const char *string_id);
	GSList *	(*get_locations)	(GbExportDruid *d);
	GbIO *		(*get_io)		(GbExportDruid *d);
};

/* Remember: fields are public read-only */
struct _GbExportDruid
{
	GObject parent_object;

	GbExportDruidPrivate *priv;
};

/* this is an abstract class */
GType			gb_export_druid_get_type		(void);
void			gb_export_druid_set_bookmark_set	(GbExportDruid *druid, GbBookmarkSet *set);
void			gb_export_druid_show			(GbExportDruid *druid);

#endif
